Bug 1334064 - [abrt] lxsession-edit: g_malloc0(): lxsession-edit killed by SIGSEGV
Summary: [abrt] lxsession-edit: g_malloc0(): lxsession-edit killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxsession
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e6d4a0d5b9f36f85be48fa03b50...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-07 21:11 UTC by flashl
Modified: 2016-09-14 01:20 UTC (History)
2 users (show)

Fixed In Version: lxsession-0.5.2-11.D20160817git699c1695c2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-14 01:20:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (54.85 KB, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: cgroup (201 bytes, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: core_backtrace (16.88 KB, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: dso_list (6.83 KB, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: environ (1.00 KB, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: exploitable (82 bytes, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: maps (35.75 KB, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: mountinfo (3.64 KB, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: open_fds (828 bytes, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details
File: var_log_messages (324 bytes, text/plain)
2016-05-07 21:12 UTC, flashl
no flags Details

Description flashl 2016-05-07 21:11:58 UTC
Description of problem:
Changed desktop perference.

Version-Release number of selected component:
lxsession-edit-0.5.2-8.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        lxsession-edit
crash_function: g_malloc0
executable:     /usr/bin/lxsession-edit
global_pid:     30659
kernel:         4.4.8-300.fc23.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 g_malloc0 at gmem.c:124
 #4 g_malloc0_n at gmem.c:354
 #5 g_hash_table_resize at ghash.c:585
 #6 g_hash_table_maybe_resize at ghash.c:645
 #7 g_hash_table_remove_internal at ghash.c:1358
 #8 g_signal_handler_disconnect at gsignal.c:2627
 #9 signal_handlers_foreach_matched_R at gsignal.c:2787
 #10 g_signal_handlers_disconnect_matched at gsignal.c:2930
 #11 gtk_im_multicontext_set_slave at gtkimmulticontext.c:169
 #12 gtk_im_multicontext_finalize at gtkimmulticontext.c:146

Comment 1 flashl 2016-05-07 21:12:00 UTC
Created attachment 1154887 [details]
File: backtrace

Comment 2 flashl 2016-05-07 21:12:01 UTC
Created attachment 1154888 [details]
File: cgroup

Comment 3 flashl 2016-05-07 21:12:02 UTC
Created attachment 1154889 [details]
File: core_backtrace

Comment 4 flashl 2016-05-07 21:12:03 UTC
Created attachment 1154890 [details]
File: dso_list

Comment 5 flashl 2016-05-07 21:12:04 UTC
Created attachment 1154891 [details]
File: environ

Comment 6 flashl 2016-05-07 21:12:05 UTC
Created attachment 1154892 [details]
File: exploitable

Comment 7 flashl 2016-05-07 21:12:06 UTC
Created attachment 1154893 [details]
File: limits

Comment 8 flashl 2016-05-07 21:12:07 UTC
Created attachment 1154894 [details]
File: maps

Comment 9 flashl 2016-05-07 21:12:08 UTC
Created attachment 1154895 [details]
File: mountinfo

Comment 10 flashl 2016-05-07 21:12:09 UTC
Created attachment 1154896 [details]
File: namespaces

Comment 11 flashl 2016-05-07 21:12:10 UTC
Created attachment 1154897 [details]
File: open_fds

Comment 12 flashl 2016-05-07 21:12:11 UTC
Created attachment 1154898 [details]
File: proc_pid_status

Comment 13 flashl 2016-05-07 21:12:12 UTC
Created attachment 1154899 [details]
File: var_log_messages

Comment 14 Mamoru TASAKA 2016-08-22 04:02:36 UTC
Perhaps I got the reason.

Comment 15 Fedora Update System 2016-08-28 13:28:56 UTC
lxsession-0.5.2-11.D20160817git699c1695c2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf60f55f04

Comment 16 Fedora Update System 2016-08-28 13:30:05 UTC
lxsession-0.5.2-11.D20160817git699c1695c2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e71eb7777e

Comment 17 Fedora Update System 2016-08-28 13:30:10 UTC
lxsession-0.5.2-11.D20160817git699c1695c2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb3200196b

Comment 18 Fedora Update System 2016-08-28 18:22:16 UTC
lxsession-0.5.2-11.D20160817git699c1695c2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf60f55f04

Comment 19 Fedora Update System 2016-08-29 22:53:50 UTC
lxsession-0.5.2-11.D20160817git699c1695c2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e71eb7777e

Comment 20 Fedora Update System 2016-08-29 22:53:52 UTC
lxsession-0.5.2-11.D20160817git699c1695c2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb3200196b

Comment 21 Fedora Update System 2016-09-01 16:53:59 UTC
lxsession-0.5.2-11.D20160817git699c1695c2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-09-12 13:23:36 UTC
lxsession-0.5.2-11.D20160817git699c1695c2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-09-14 01:20:45 UTC
lxsession-0.5.2-11.D20160817git699c1695c2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.